Eliot

IAS imigration and upgrade

0 votes

Any clues what to complete and where when migration did go well?

I don't know if this is the right place, but...I have test installation of IAS 3.14.xx on Windows 2016. I wanna migrate it to Centos 7 and then upgrade it to 3.21

Migration using DMT goes well (need to run it 3 times in order to migrate all users and digipass), but upgrade on Centos or IAS upgrade.sh is giving me headaches.Upgrade to 3.15 goes smoothly, server is not in migration mode, stared ok after upgrade all well.

Then I want to update to 3.16 but, this is what I get after starting ./upgrade.sh

Error executing custom action GetDataMigrationState: IAS is not upgradeable
Installation cancelled - data migration from previous upgrade is incomplete.


Reply to: IAS imigration and upgrade

0 votes

I don't know if this is the right place, but...

I have test installation of IAS 3.14.xx on Windows 2016. I wanna migrate it to Centos 7 and then upgrade it to 3.21

Migration using DMT goes well (need to run it 3 times in order to migrate all users and digipass), but upgrade on Centos or IAS upgrade.sh is giving me headaches.

Upgrade to 3.15 goes smoothly, server is not in migration mode, stared ok after upgrade all well.

Then I want to update to 3.16 but, this is what I get after starting ./upgrade.sh

Error executing custom action GetDataMigrationState: IAS is not upgradeable
Installation cancelled - data migration from previous upgrade is incomplete.
Please complete migrating the data to the currently installed version of IDENTIKEY Authentication Server before proceeding with this upgrade.

Any clues what to complete and where when migration did go well?

Thank you.


Hello! Looks like you're enjoying the discussion, but haven't signed up for an account.

When you create an account, we remember exactly what you've read, so you always come right back where you left off